#ifndef EMPLUGIN_H
#define EMPLUGIN_H

#include "Plugin.h"
#include "PluginProxy.h"
#include "csv_parser/csv_parser.cpp"
#include <string>
#include <vector>
#define K 2           // Number of groups

class EMPlugin : public Plugin 
{
  public:    
  void input(std::string file);
  void run();
  void output(std::string file);

  private:
     int r;
     int s;
     int u;
     int i;
     int step;
     double oldc[K][K];
     double c[K][K];
     double deltac;
     double L;
     double maxdelta;
     int bpsteps;
};


#endif
